Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class RequestAuthenticationToken

    java.lang.Object
      org.acegisecurity.providers.AbstractAuthenticationToken
          com.jaspersoft.jasperserver.api.metadata.user.service.impl.RequestAuthenticationToken

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal, org.acegisecurity.Authentication

    public class RequestAuthenticationToken

extends org.acegisecurity.providers.AbstractAuthenticationToken

Author:
  swood
See Also:
  Serialized Form

Constructor Summary
`RequestAuthenticationToken()`
`RequestAuthenticationToken(java.util.Map requestParameters)`

Method Summary
`java.lang.Object` | `getCredentials()`
`java.lang.Object` | `getPrincipal()`
`void` | `setCredentials(java.lang.Object credentials)`
`void` | `setPrincipal(java.lang.Object principal)`

Methods inherited from class org.acegisecurity.providers.AbstractAuthenticationToken
`equals, getAuthorities, getDetails, getName, hashCode, isAuthenticated, setAuthenticated, setDetails, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestAuthenticationToken

    public RequestAuthenticationToken()

### RequestAuthenticationToken

    public RequestAuthenticationToken(java.util.Map requestParameters)

Method Detail

### getCredentials

    public java.lang.Object getCredentials()

### setCredentials

    public void setCredentials(java.lang.Object credentials)

  Parameters:
    `credentials` - The credentials to set.

### getPrincipal

    public java.lang.Object getPrincipal()

### setPrincipal

    public void setPrincipal(java.lang.Object principal)

  Parameters:
    `principal` - The principal to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.